Class | XSD::XSDAnySimpleType
In: | xsd/datatypes.rb
Parent: | NSDBase

The base class of XSD datatypes.

### Methods

check_lexical_format new set to_s

### Included Modules

XSD

### Constants

Type | = | QName.new(Namespace, AnySimpleTypeLiteral)

### Attributes

data | [R] | @data represents canonical space (ex. Integer: 123).
is_nil | [RW] | @is_nil represents this data is nil or not.

### Public Class methods

new(value = nil)

[Source]

    # File xsd/datatypes.rb, line 121
      def initialize(value = nil)
        init(Type, value)
      end

### Public Instance methods

check_lexical_format(value)

true or raise

[Source]

    # File xsd/datatypes.rb, line 126
      def check_lexical_format(value)
        screen_data(value)
        true
      end

set(value)

set accepts a string which follows lexical space (ex. String: "+123"), or an object which follows canonical space (ex. Integer: 123).

[Source]

    # File xsd/datatypes.rb, line 133
      def set(value)
        if value.nil?
          @is_nil = true
          @data = nil
          _set(nil)
        else
          @is_nil = false
          _set(screen_data(value))
        end
      end

to_s()

to_s creates a string which follows lexical space (ex. String: "123").

[Source]

    # File xsd/datatypes.rb, line 145
      def to_s()
        if @is_nil
          ""
        else
          _to_s
        end
      end

[Validate]